<!--The whole content below can be removed with the new code.-->
<div>
  <div class="container" *ngIf="gs?.activeUser === null">
    <div class="row justify-content-md-center">
      <div class="col-md-auto">
        <h1>Register</h1>
      </div>
    </div>
    <div class="row justify-content-md-center">
      <div class="col-md-auto">
        <form>
          <div class="form-group row">
            <label for="username" class="col-4 col-form-label">Username</label>
            <div class="col-8">
              <input type="text" class="form-control" id="username" placeholder="User name" name="username" pattern=".{3,}" minlength="3"
                     [(ngModel)]="us.newUser.username" required>
            </div>
          </div>
          <div class="form-group row">
            <label for="useremail" class="col-4 col-form-label">Email</label>
            <div class="col-8">
              <input type="email" class="form-control" id="useremail" placeholder="email" name="useremail" pattern=".{3,}" minlength="3"
                     [(ngModel)]="us.newUser.email" required>
            </div>
          </div>
          <div class="form-group row">
            <label for="inputPassword" class="col-4 col-form-label">Password</label>
            <div class="col-8">
              <input type="password" class="form-control" id="inputPassword" placeholder="Password" name="password" pattern=".{6,}" minlength="3"
                     [(ngModel)]="us.newUser.password" required>
            </div>
          </div>
          <div class="form-group row">
            <label for="inputWallet" class="col-4 col-form-label">Wallet</label>
            <small class="col-4">Currency is PLN. Maximum 10 000 PLN per user</small>
            <div class="col-4">
              <input type="number" class="form-control" id="inputWallet" placeholder="PLN" name="wallet" min="10" max="10000"
                     [(ngModel)]="us.newUser.wallet" required>
            </div>
          </div>
          <button type="submit" class="btn btn-primary pull-right" (click)="preapretoRegisterUser()">
            Register
          </button>
        </form>

        <button  class="btn btn-danger" [routerLink]="['/']">
          Back
        </button>
      </div>
    </div>
  </div>
</div>

